Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.manager.audit
Interface ProcessInstanceLog

All Known Implementing Classes:
  ProcessInstanceLog

    public interface ProcessInstanceLog

Audit view of process instance

Method Summary
`Long` | `getDuration()` Amount of time (in milliseconds) that process instance took to complete.
`Date` | `getEnd()` End date of this process instance, null if process instance is still active
`String` | `getExternalId()` External (optional) identifier associated with this process instance
`String` | `getIdentity()` Identifier of a entity (user) who initiated this process instance.
`String` | `getOutcome()` Outcome of the process instance that is providing error information in case process instance completed with an error
`Long` | `getParentProcessInstanceId()` Parent process instance id, will be null for top level process instance
`String` | `getProcessId()` Process id of the definition
`Long` | `getProcessInstanceId()` Process instance identifier
`String` | `getProcessName()` Name of the process definition
`String` | `getProcessVersion()` Version of the process definition
`Date` | `getStart()` Start date of this process instance
`Integer` | `getStatus()` Status of the process instance and might be one of: ProcessInstance.STATE_ACTIVE ProcessInstance.STATE_COMPLETED ProcessInstance.STATE_ABORTED ProcessInstance.STATE_SUSPENDED

Method Detail

### getProcessInstanceId

    Long getProcessInstanceId()

  Process instance identifier

  Returns:

### getProcessId

    String getProcessId()

  Process id of the definition

  Returns:

### getStart

    Date getStart()

  Start date of this process instance

  Returns:

### getEnd

    Date getEnd()

  End date of this process instance, null if process instance is still active

  Returns:

### getStatus

    Integer getStatus()

  Status of the process instance and might be one of:
  - ProcessInstance.STATE_ACTIVE
  - ProcessInstance.STATE_COMPLETED
  - ProcessInstance.STATE_ABORTED
  - ProcessInstance.STATE_SUSPENDED

  Returns:

### getParentProcessInstanceId

    Long getParentProcessInstanceId()

  Parent process instance id, will be null for top level process instance

  Returns:

### getOutcome

    String getOutcome()

  Outcome of the process instance that is providing error information in case process instance completed with an error

  Returns:

### getDuration

    Long getDuration()

  Amount of time (in milliseconds) that process instance took to complete. Available only when process instance is completed.

  Returns:

### getIdentity

    String getIdentity()

  Identifier of a entity (user) who initiated this process instance.

  Returns:

### getExternalId

    String getExternalId()

  External (optional) identifier associated with this process instance

  Returns:

### getProcessVersion

    String getProcessVersion()

  Version of the process definition

  Returns:

### getProcessName

    String getProcessName()

  Name of the process definition

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.